// 任务状态:
// INIT:未开始,READY:数据完成,FINISH:已完成
export const TRACK_TASK_STATUS = {
  INIT: 0,
  READY: 1,
  FINISH: 9,
};

export type TrackTaskStatusKey = keyof typeof TRACK_TASK_STATUS;

// 细分任务状态:
// INIT:未开始,RUNNING:运行中,FINISH:已完成
export const TRACK_TASK_DETAIL_STATUS = {
  INIT: 0,
  RUNNING: 1,
  FINISH: 9,
};

export type TrackTaskDetailStatusKey = keyof typeof TRACK_TASK_DETAIL_STATUS;
