export const DEFAULT_LABEL = '--';

// 通用 -------------->
// 启用/禁用
export const ABLE_TYPE = {
  false: '禁用',
  true: '启用',
};

// 基础 -------------->
// 导出文件类型
export const PICTURE_TYPE = {
  track: '轨迹图',
  origin: '原图',
  pdf: 'PDF',
};

export type PictureTypeEnum = keyof typeof PICTURE_TYPE;

export const TRACK_COLOR_TYPE = {
  DEFAULT: '默认颜色',
  ALL_RED: '全部红色轨迹',
};
export type TrackColorTypeEnum = keyof typeof TRACK_COLOR_TYPE;

export const STUDENT_FILE_RULE = {
  CODE: '学号',
  CODE_NAME: '学号-姓名',
};
export type StudentFileRuleEnum = keyof typeof STUDENT_FILE_RULE;
