import { DEFAULT_ROUTE_NAME } from '../../constants';
import { AppRouteRecordRaw } from '../types';

const SYSTEM: AppRouteRecordRaw[] = [
  {
    path: '/workplace',
    name: DEFAULT_ROUTE_NAME,
    component: () => import('@/views/system/workplace/index.vue'),
    meta: {
      requiresAuth: true,
      title: '主系统',
    },
  },
  {
    path: '/wait',
    name: 'Wait',
    component: () => import('@/views/system/wait/index.vue'),
    meta: {
      requiresAuth: false,
      title: '等待',
    },
  },
];

export default SYSTEM;
