export interface UserSchoolInfoType {
  id: string;
  code: string;
  name: string;
  logo: string;
}
export interface UserOrgInfoType {
  id: string;
  code: string;
  name: string;
}
export interface UserRoleSourceType {
  roleId: string;
  roleName: string;
  roleCode: string;
  roleSource: string;
}

export interface UserState {
  id: string;
  loginName: string;
  realName: string;
  sessionId: string;
  accessToken: string;
  schoolInfo: UserSchoolInfoType[];
  curSchoolInfo: UserSchoolInfoType;
  orgInfo: UserOrgInfoType;
  roleList: string[];
  role: string[];
  time: number;
  appSource: string;
  pwdCount: number;
  userLoginCheckResult: {
    userId: string;
    mobileNumber: string;
    pwdCount: number;
  };
  roleSource: UserRoleSourceType[];
  returnUrl: string | null;
  privilegeId: string;
  version: string;
  uiSetting: null;
  deviceId: string;
  platform: string;
}
