export interface DrawTrackTextOption {
  x: number;
  y: number;
  text: string;
  color?: string;
  fontSize?: number;
}

export interface DrawTrackCircleOption {
  x0: number;
  y0: number;
  x1: number;
  y1: number;
}
export interface DrawTrackLineOption {
  x0: number;
  y0: number;
  x1: number;
  y1: number;
}

export interface DrawTrackItem {
  type: 'text' | 'circle' | 'line';
  option: DrawTrackTextOption | DrawTrackCircleOption | DrawTrackLineOption;
}
