export interface PageResult<T = unknown> {
  size: number;
  total: number;
  pages: number;
  records: Array<T>;
}
export type PageParams<T = unknown> = T & {
  pageNumber: number;
  pageSize: number;
};

// page
export interface AbleParams {
  id: string;
  enable: boolean;
}
