export interface LoginData {
  loginName: string;
  password: string;
  schoolCode: string;
  type: 'ACCOUNT' | 'PHONE';
  code: string;
}

export interface SchoolItem {
  id: string;
  name: string;
  code: string;
  logo: string;
}
export interface SchoolInfo {
  name: string;
  schoolCode: string;
  logo: string;
  version: string;
  phoneLogin: boolean;
  accountSmsVerify: boolean;
  backgroundImageUrl: string;
}

export interface MenuItem {
  id: string;
  name: string;
  url: string;
  type: string;
  parentId: string;
  sequence: number;
  enable: boolean;
}

export interface SysMenuRes {
  userId: string;
  privileges: MenuItem[];
}
